Difference between revisions of "Sketcher Workbench/pl"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
(Updating to match new version of source page)
(34 intermediate revisions by 2 users not shown)
Line 1: Line 1:
[[File:FC_ConstrainedSketch.png|thumb|left|Podstawowy szkic w pełni ograniczony więzami]]
+
<languages/>
 +
{{Docnav|[[Ship Workbench|Ship Workbench]]|[[Spreadsheet Workbench|Spreadsheet Workbench]]|IconL=Workbench_Ship.svg|IconR=Workbench_Spreadsheet.svg}}
 +
 
 +
[[Image:Workbench_Sketcher.svg|64px]]
 +
 
 +
== Introduction ==
  
 +
<div class="mw-translate-fuzzy">
 
'''Warsztat Szkicownika (Sketcher Workbench)''' używany jest do tworzenia geometrii 2D przeznaczonej do wykorzystania w '''[[PartDesign Workbench/pl|Warsztacie PartDesign]]''' i innych warsztatach.
 
'''Warsztat Szkicownika (Sketcher Workbench)''' używany jest do tworzenia geometrii 2D przeznaczonej do wykorzystania w '''[[PartDesign Workbench/pl|Warsztacie PartDesign]]''' i innych warsztatach.
 
Zasadniczo geometria 2D jest uznawana za punkt startowy dla większości modeli CAD - prosty szkic 2D może zostać 'wyciągnięty' w bryłę 3D, dalsze szkice 2D mogą zostać użyte do stworzenia kieszeni (zagłębień) na powierzchni tej bryły i w końcu szkice mogą zostać użyte  do wykonania 'występów' (wyciągnięć) na powierzchni obiektów 3D.
 
Zasadniczo geometria 2D jest uznawana za punkt startowy dla większości modeli CAD - prosty szkic 2D może zostać 'wyciągnięty' w bryłę 3D, dalsze szkice 2D mogą zostać użyte do stworzenia kieszeni (zagłębień) na powierzchni tej bryły i w końcu szkice mogą zostać użyte  do wykonania 'występów' (wyciągnięć) na powierzchni obiektów 3D.
 
Wraz z [[Part Module/pl|operacjami boole'owskimi]], kształty powstałe ze szkiców są rdzeniem produktywnego modelowania bryłowego.
 
Wraz z [[Part Module/pl|operacjami boole'owskimi]], kształty powstałe ze szkiców są rdzeniem produktywnego modelowania bryłowego.
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Warsztat Szkicownika cechuje się więzami pozwalając na opisanie kształtów 2D dokładnymi definicjami geometrycznymi. Dodatkowo solwer przelicza tę geometrię pozwalając na interaktywne badanie stopni swobody szkicu.
 
Warsztat Szkicownika cechuje się więzami pozwalając na opisanie kształtów 2D dokładnymi definicjami geometrycznymi. Dodatkowo solwer przelicza tę geometrię pozwalając na interaktywne badanie stopni swobody szkicu.
 +
</div>
  
{{clear}}
+
{{TOCright}}
{{VeryImportantMessage|Ta strona wiki została napisana w oparciu o '''wersję v0.12''' FreeCAD-a. Wcześnienie wersje nie posiadają większości narzędzi Szkicownika. By uzyskać dostęp do wszystkich aktualnych funkcji Szkicownika udaj się na stronę [[Download|Pobieranie]] by zaktualizować twoją wersję programu.}}
+
[[File:FC_ConstrainedSketch.png|none]]
 +
<div class="mw-translate-fuzzy">
 +
''Podstawowy szkic w pełni ograniczony więzami.''
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
=== Podstawy szkicowania z więzami ===
 
=== Podstawy szkicowania z więzami ===
  
 
By wytłumaczyć jak działa Szkicownik może być przydatne porównanie do "tradycyjnego" sposobu rysowania.
 
By wytłumaczyć jak działa Szkicownik może być przydatne porównanie do "tradycyjnego" sposobu rysowania.
 +
</div>
  
==== Traditional Drafting ====
+
==== Rysowanie Tradycyjne ====
The traditional way of CAD drafting inherits from the old [http://en.wikipedia.org/wiki/Drawing_board drawing board]. [http://en.wikipedia.org/wiki/Multiview_orthographic_projection Orthogonal (2D) views] are drawn manually and intended for producing technical drawings (also known as blueprints). Objects are drawn precisely to the intended size or dimension. If you want to draw an horizontal line 100mm in length starting at (0,0), you activate the line tool, either click on the screen or input the (0,0) coordinates for the first point, then make a second click or input the second point coordinates at (100,0). Or you will draw your line without regard to its position, and move it afterwards. When you've finished drawing your geometries, you add dimensions to them.
+
Tradycyjna metoda rysowania CAD pochodzi od dawnej [http://pl.wikipedia.org/wiki/Deska_kre%C5%9Blarska deski kreślarskiej]. [http://en.wikipedia.org/wiki/Multiview_orthographic_projection Rzuty prostopadłe (2D)] są rysowanie ręczenie i przeznaczone do tworzenia rysunków technicznych. Obiekty są rysowane precyzyjnie w zamierzonej skali lub wymiarze. Jeśli chcesz narysować poziomą linię o długości 100mm startującą w punkcie (0,0), musisz aktywować narzędzie linii, kliknąć na ekranie bądź wprowadzić współrzędne (0,0) dla pierwszego punktu, następnie wykonać kolejne kliknięcie lub wprowadzić współrzędnie dla drugiego punktu (0,100). Ewentualnie możesz narysować linię bez określanie jej pozycji i przesunąć ją później. Kiedy skończysz rysować geometrię, dodajesz wymiary do niej.
  
 
==== Szkicowanie z Więzami ====
 
==== Szkicowanie z Więzami ====
 
'''Skicownik''' odchodzi od tej logiki. Obiekty nie muszą być rysowane dokładnie jak założyłeś, bo zostaną później zdefiniowane za pomocą więzów. Obiekty mogą być rysowane nieściśle i, tak długą jak nie są ograniczone więzami, mogą być modyfikowane. W efekcie są "pływające" i mogą być przesuwane, rozciągane, obracane, skalowane itp. To daje ogromną elastyczność procesu projektowania.
 
'''Skicownik''' odchodzi od tej logiki. Obiekty nie muszą być rysowane dokładnie jak założyłeś, bo zostaną później zdefiniowane za pomocą więzów. Obiekty mogą być rysowane nieściśle i, tak długą jak nie są ograniczone więzami, mogą być modyfikowane. W efekcie są "pływające" i mogą być przesuwane, rozciągane, obracane, skalowane itp. To daje ogromną elastyczność procesu projektowania.
  
==== What are constraints? ====
+
<div class="mw-translate-fuzzy">
Constraints are used to limit the degrees of freedom of an object. For example, a line without constraints has 4 [[#Degrees Of Freedom|Degrees Of Freedom]] (abbreviated as " DOF "): it can be moved horizontally or vertically, it can be stretched, and it can be rotated.
+
==== Czym są więzy? ====
 +
Więzy używane są do ograniczenia stopni swobody obiektu. Dla przykładu, linia bez więzów ma 4 stopnie swobody: może być przesuwana w poziomie lub pionie, rozciągana  i obracana.
 +
</div>
  
 
Wykorzystanie więzu poziomego lub pionowego, lub więzu kąta (względem innej linii lub jednej z osi), ogranicz jej zdolność do obracania pozostawiając ją z 3 stopniami swobody. Zablokowanie jednego z punktów w relacji do układu współrzędnych usunie kolejne dwa stopnie. W końcu zastosowanie więzu wymiaru usunie ostatni stopień swobody. Linia jest w wtedy uznawana za '''w pełni ograniczoną więzami'''.
 
Wykorzystanie więzu poziomego lub pionowego, lub więzu kąta (względem innej linii lub jednej z osi), ogranicz jej zdolność do obracania pozostawiając ją z 3 stopniami swobody. Zablokowanie jednego z punktów w relacji do układu współrzędnych usunie kolejne dwa stopnie. W końcu zastosowanie więzu wymiaru usunie ostatni stopień swobody. Linia jest w wtedy uznawana za '''w pełni ograniczoną więzami'''.
  
Multiple objects can be constrained between one another. Two lines can be joined through one of their points with the coincident point constraint. An angle can be set between them, or they can be set perpendicular. A line can be tangent to an arc or a circle, and so on. A complex Sketch with multiple objects will have a number of different solutions, and making it '''fully-constrained''' means that just one of these possible solutions has been reached based on the applied constraints.   
+
<div class="mw-translate-fuzzy">
 +
Różne obiekty mogą być wiązane między sobą. Dwie linie mogą być związane, którymiś ze swoich punktów, więzem nachodzenia (coincident). Między zostać ustawiony kąt między nimi lub mogą zostać powiązane jako prostopadłe. Linia może być styczna do łuku lub okręgu itp.
 +
</div>  
  
 
Są dwa typy więzów: geometryczne i wymiarowe.Są one opisane dokładnej w poniższej sekcji [[#The tools|'The tools']].
 
Są dwa typy więzów: geometryczne i wymiarowe.Są one opisane dokładnej w poniższej sekcji [[#The tools|'The tools']].
  
 +
<div class="mw-translate-fuzzy">
 
=== Zastosowania do których Szkicownik się nie nadaje ===
 
=== Zastosowania do których Szkicownik się nie nadaje ===
  
 
Szkicownik nie jest przeznaczony do tworzenia dokumentacji 2D. Gdy szkice zostają użyte do utworzenia brył, są automatycznie ukrywane. Wymiary są widoczne tylko w trybie edycji Szkicownika.
 
Szkicownik nie jest przeznaczony do tworzenia dokumentacji 2D. Gdy szkice zostają użyte do utworzenia brył, są automatycznie ukrywane. Wymiary są widoczne tylko w trybie edycji Szkicownika.
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Jeśli potrzebujesz tylko stworzyć widoki 2D do wydruku, i nie chcesz tworzyć modeli 3D, sprawdź [[Draft Module/pl|warsztat Draft]] (weź pod uwagę, że warsztat Draft może być także użyteczny przy tworzeniu geometrii 2D niedostępnej aktualnie w Szkicowniku, jak B-Splajny.)
 
Jeśli potrzebujesz tylko stworzyć widoki 2D do wydruku, i nie chcesz tworzyć modeli 3D, sprawdź [[Draft Module/pl|warsztat Draft]] (weź pod uwagę, że warsztat Draft może być także użyteczny przy tworzeniu geometrii 2D niedostępnej aktualnie w Szkicowniku, jak B-Splajny.)
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
=== Sketching Workflow ===
 
=== Sketching Workflow ===
  
 
To be added
 
To be added
 +
</div>
 +
 +
If the Sketch has segments that cross one another, places where a Point is not directly on a segment, or places where there are gaps between endpoints of adjacent segments, Pad or Revolve won't create a solid.  The exception to this rule is that it doesn't apply to Construction (blue) Geometry.
 +
 +
Inside the enclosed area we can have smaller non-overlapping areas.  These will become voids when the 3D solid is created.
 +
 +
<div class="mw-translate-fuzzy">
 +
=== Narzędzia ===
 +
 +
Narzędzia Warsztatu Szkicownika znajdują się w menu Szkicownika, które pojawia się po załadowaniu tego warsztatu.
 +
</div>
 +
 +
* [[Image:Sketcher_NewSketch.svg‎‎|32px]] [[Sketcher_NewSketch|New sketch]]: Creates‎ a new sketch on a selected face or plane. If no face is selected while this tool is executed the user is prompted to select a plane from a pop-up window.
 +
 +
* [[Image:Sketcher_EditSketch.svg|32px]] [[Sketcher_EditSketch|Edit sketch]]: Edit the selected Sketch. This will open the [[Sketcher Dialog]].
 +
 +
* [[Image:Sketcher_LeaveSketch.svg|32px]] [[Sketcher_LeaveSketch|Leave sketch]]: Leave the Sketch editing mode.
 +
 +
* [[Image:Sketcher_ViewSketch.svg|32px]] [[Sketcher_ViewSketch|View sketch]]: Sets the model view perpendicular to the sketch plane.
 +
 +
* [[Image:Sketcher ViewSection.svg|32px]] [[Sketcher_ViewSection|View section]]: Creates a section plane that temporarily hides any matter in front of the sketch plane. {{Version|0.18}}
 +
 +
* [[Image:Sketcher_MapSketch.svg|32px]] [[Sketcher_MapSketch|Map sketch to face]]: Maps a sketch to the previously selected face of a solid.
 +
 +
* [[Sketcher_Reorient|Reorient sketch ]]: Allows you to change the position of a sketch
 +
 +
* [[Sketcher_ValidateSketch|Validate sketch]]: Verify the tolerance of different points and adjust them.
 +
 +
* [[Image:Sketcher MergeSketch.svg|32px]] [[Sketcher MergeSketches|Merge sketches]]: Merge two or more sketches. {{Version|0.15}}
 +
 +
* [[Image:Sketcher MirrorSketch.svg|32px]] [[Sketcher MirrorSketch|Mirror sketch]]: Mirror a sketch along the x-axis, the y-axis or the origin. {{Version|0.16}}
 +
 +
===Sketcher geometries===
 +
 +
These are tools for creating objects.
 +
 +
* [[Image:Sketcher_CreatePoint.svg|32px]] [[Sketcher_CreatePoint|Point]]: Draws a point.
 +
 +
* [[Image:Sketcher_Line.svg|32px]] [[Sketcher_CreateLine|Line]]: Draws a line segment between 2 points. Lines are infinite regarding certain constraints.
 +
 +
* [[Image:Sketcher_CompCreateArc.png|48px]] [[Sketcher_CompCreateArc|Create an arc]]: This is an icon menu in the Sketcher toolbar that holds the following commands:
 +
 +
:* [[Image:Sketcher_Arc.svg|32px]] [[Sketcher_CreateArc|Arc]]: Draws an arc segment from center, radius, start angle and end angle.
 +
 +
:* [[Image:Sketcher_Create3PointArc.svg|32px]] [[Sketcher_Create3PointArc|Arc by 3 points]]: Draws an arc segment from two endpoints and another point on the circumference.
 +
 +
* [[Image:Sketcher_CompCreateCircle.png|48px]] [[Sketcher_CompCreateCircle|Create a circle]]: This is an icon menu in the Sketcher toolbar that holds the following commands:
 +
 +
:* [[Image:Sketcher_Circle.svg|32px]] [[Sketcher_CreateCircle|Circle]]: Draws a circle from center and radius.
 +
 +
:* [[Image:Sketcher_Create3PointCircle.svg|32px]] [[Sketcher_Create3PointCircle|Circle by 3 points]]: Draws a circle from three points on the circumference.
 +
 +
* [[Image:Sketcher_CompCreateConic.png|48px]] [[Sketcher_CompCreateConic|Create a conic]]: The sketcher provides the following conical sections. Unlike B-splines they can be used with all sorts of constraints such as tangents, point-on-object, or orthogonal.
 +
** [[Image:Sketcher_CreateEllipse.svg|32px]] [[Sketcher CreateEllipseByCenter|Ellipse by center]]: Draws an ellipse by center point, major radius point and minor radius point. {{Version|0.15}}
 +
** [[Image:Sketcher_CreateEllipse_3points.svg|32px]] [[Sketcher CreateEllipseBy3Points|Ellipse by 3 points]]: Draws an ellipse by major diameter (2 points) and minor radius point. {{Version|0.15}}
 +
** [[Image:Sketcher_Elliptical_Arc.svg|32px]] [[Sketcher_CreateArcOfEllipse|Arc of ellipse]]: Draws an arc of ellipse by center point, major radius point, starting point and ending point. {{Version|0.15}}
 +
**[[Image:Sketcher_Hyperbolic_Arc.svg|32px]] [[Sketcher_CreateArcOfHyperbola|Arc of hyperbola]]: Draws an arc of hyperbola. {{Version|0.17}}
 +
**[[Image:Sketcher_Parabolic_Arc.svg|32px]] [[Sketcher_CreateArcOfParabola|Arc of parabola]]: Draws an arc of parabola. {{Version|0.17}}
 +
 +
* [[Image:Sketcher_CompCreateBSpline.png|48px]] [[Sketcher_CompCreateBSpline|Create a B-spline]]: This is an icon menu in the Sketcher toolbar that holds the following commands:
 +
** [[File:Sketcher_CreateBSpline.svg|32px]] [[Sketcher_CreateBSpline|Create B-spline]]: Draws a B-spline curve by its control points. {{Version|0.17}}
 +
** [[File:Sketcher_Create_Periodic_BSpline.svg|32px]] [[Sketcher_CreatePeriodicBSpline|Create periodic B-spline]]: Draws a periodic (closed) B-spline curve by its control points. {{Version|0.17}}
 +
 +
* [[Image:Sketcher_CreatePolyline.svg|32px]] [[Sketcher_CreatePolyline|Polyline (multiple-point line)]]: Draws a line made of multiple line segments. Pressing the M key while drawing a Polyline toggles between the different polyline modes.
 +
 +
* [[Image:Sketcher_CreateRectangle.svg|32px]] [[Sketcher_CreateRectangle|Rectangle]]: Draws a rectangle from 2 opposite points.
 +
 +
* [[Image:Sketcher_CompCreateRegularPolygon.png|48px]] [[Sketcher_CompCreateRegularPolygon|Create regular polygon]]: This is an icon menu in the Sketcher toolbar that holds the following commands:
 +
 +
:* [[Image:Sketcher_CreateTriangle.svg|32px]] [[Sketcher_CreateTriangle|Triangle]]: Draws a regular triangle inscribed in a construction geometry circle. {{Version|0.15}}
 +
 +
:* [[Image:Sketcher_CreateSquare.svg|32px]] [[Sketcher_CreateSquare|Square]]: Draws a regular square inscribed in a construction geometry circle. {{Version|0.15}}
 +
 +
:* [[Image:Sketcher_CreatePentagon.svg|32px]] [[Sketcher_CreatePentagon|Pentagon]]: Draws a regular pentagon inscribed in a construction geometry circle. {{Version|0.15}}
 +
 +
:* [[Image:Sketcher_CreateHexagon.svg|32px]] [[Sketcher_CreateHexagon|Hexagon]]: Draws a regular hexagon inscribed in a construction geometry circle. {{Version|0.15}}
 +
 +
:* [[Image:Sketcher_CreateHeptagon.svg|32px]] [[Sketcher_CreateHeptagon|Heptagon]]: Draws a regular heptagon inscribed in a construction geometry circle. {{Version|0.15}}
 +
 +
:* [[Image:Sketcher_CreateOctagon.svg|32px]] [[Sketcher_CreateOctagon|Octagon]]: Draws a regular octagon inscribed in a construction geometry circle. {{Version|0.15}}
 +
 +
:* [[Image:Sketcher_CreateRegularPolygon.svg|32px]] [[Sketcher_CreateRegularPolygon|Create Regular Polygon]] : Draws a regular polygon by selecting the number of sides and picking two points: the center and one corner.
 +
 +
* [[Image:Sketcher_CreateSlot.png|32px]] [[Sketcher_CreateSlot|Slot]]: Draws an oval by selecting the center of one semicircle and an endpoint of the other semicircle.
 +
 +
* [[Image:Sketcher_CreateFillet.svg|32px]] [[Sketcher_CreateFillet|Fillet]]: Makes a fillet between two lines joined at one point. Select both lines or click on the corner point, then activate the tool.
 +
 +
* [[Image:Sketcher_Trimming.svg|32px]] [[Sketcher_Trimming|Trimming]]: Trims a line, circle or arc with respect to the clicked point.
 +
 +
* [[File:Sketcher_Extend.svg|32px]] [[Sketcher_Extend|Extend]]: Extends a line or an arc to a boundary line, arc, ellipse, arc of ellipse or a point in space. {{Version|0.17}}
 +
 +
* [[Image:Sketcher_External.svg|32px]] [[Sketcher_External|External Geometry]]: Creates an edge linked to external geometry.
 +
 +
* [[File:Sketcher_CarbonCopy.svg|32px]] [[Sketcher_CarbonCopy|CarbonCopy]]: Copies the geometry of another sketch. {{Version|0.17}}
 +
 +
* [[File:Sketcher AlterConstruction.svg|32px]] [[Sketcher_ToggleConstruction|Construction Mode]]: Toggles sketch geometry from/to construction mode. Construction geometry is shown in blue and is discarded outside of Sketch editing mode.
 +
 +
===Sketcher constraints===
 +
 +
Constraints are used to define lengths, set rules between sketch elements, and to lock the sketch along the vertical and horizontal axes. Some constraints require use of [[Sketcher_helper_constraint|Helper constraints]].
 +
 +
====Geometric constraints====
 +
These constraints are not associated with numeric data.
 +
 +
* [[Image:Constraint_PointOnPoint.svg|32px]] [[Sketcher ConstrainCoincident|Coincident]]: Affixes a point onto (coincident with) one or more other points.
 +
 +
* [[Image:Constraint_PointOnObject.svg|32px]] [[Sketcher ConstrainPointOnObject|Point On Object]]: Affixes a point onto another object such as a line, arc, or axis.
 +
 +
* [[Image:Constraint_Vertical.svg|32px]] [[Sketcher_ConstrainVertical|Vertical]]: Constrains the selected lines or polyline elements to a true vertical orientation. More than one object can be selected before applying this constraint.
 +
 +
* [[Image:Constraint_Horizontal.svg|32px]] [[Sketcher_ConstrainHorizontal|Horizontal]]: Constrains the selected lines or polyline elements to a true horizontal orientation. More than one object can be selected before applying this constraint.
 +
 +
* [[Image:Constraint_Parallel.svg|32px]] [[Sketcher_ConstrainParallel|Parallel]]: Constrains two or more lines parallel to one another.
 +
 +
* [[Image:Constraint_Perpendicular.svg|32px]] [[Sketcher_ConstrainPerpendicular|Perpendicular]]: Constrains two lines perpendicular to one another, or constrains a line perpendicular to an arc endpoint.
 +
 +
* [[Image:Constraint_Tangent.svg|32px]] [[Sketcher ConstrainTangent|Tangent]]: Creates a tangent constraint between two selected entities, or a co-linear constraint between two line segments.  A line segment does not have to lie directly on an arc or circle to be constrained tangent to that arc or circle.
 +
 +
* [[Image:Constraint_EqualLength.svg|32px]] [[Sketcher_ConstrainEqual|Equal Length]]: Constrains two selected entities equal to one another.  If used on circles or arcs their radii will be set equal.
 +
 +
* [[Image:Constraint_Symmetric.svg|32px]] [[Sketcher_ConstrainSymmetric|Symmetric]]: Constrains two points symmetrically about a line, or constrains the first two selected points symmetrically about a third selected point.
 +
 +
* [[Image:Sketcher_ConstrainBlock.svg|32px]] [[Sketcher_ConstrainBlock|Constrain Block]]: Basically allows to block a geometric element in place with a single constraint. It should be particularly useful to work with B-Splines. See the [https://forum.freecadweb.org/viewtopic.php?f=9&t=26572 Block Constraint forum topic]. {{Version|0.17}}
 +
 +
====Dimensional constraints ====
 +
These are constraints associated with numeric data, for which you can use the [[Expressions|expressions]]. The data may be taken from a [[Spreadsheet_Workbench|spreadsheet]].
 +
 +
* [[Image:Sketcher_ConstrainLock.svg|32px]] [[Sketcher ConstrainLock|Lock]]: Constrains the selected item by setting vertical and horizontal distances relative to the origin, thereby locking the location of that item. These constraint distances can be edited later.
 +
 +
* [[Image:Constraint_HorizontalDistance.svg|32px]] [[Sketcher ConstrainDistanceX|Horizontal Distance]]: Fixes the horizontal distance between two points or line endpoints. If only one item is selected, the distance is set to the origin.
 +
 +
* [[Image:Constraint_VerticalDistance.svg|32px]] [[Sketcher_ConstrainDistanceY|Vertical Distance]]: Fixes the vertical distance between 2 points or line endpoints. If only one item is selected, the distance is set to the origin.
 +
 +
* [[Image:Constraint_Length.svg|32px]] [[Sketcher_ConstrainDistance|Distance]]: Defines the distance of a selected line by constraining its length, or defines the distance between two points by constraining the distance between them.
 +
 +
* [[Image:Constraint_Radius.svg|32px]] [[Sketcher_ConstrainRadius|Radius]]: Defines the radius of a selected arc or circle by constraining the radius.
 +
* [[Image:Constraint_InternalAngle.png|32px]] [[Sketcher_ConstrainAngle|Internal Angle]]: Defines the internal angle between two selected lines.
 +
 +
* [[Image:Constraint_SnellsLaw.svg|32px]] [[Sketcher ConstrainSnellsLaw|Snell's Law]]: Constrains two lines to obey a refraction law to simulate the light going through an interface. {{Version|0.15}}
 +
 +
* [[Image:Constraint_InternalAlignment.svg|32px]] [[Sketcher_ConstrainInternalAlignment|Internal Alignment]]: Aligns selected elements to selected shape (e.g. a line to become major axis of an ellipse).
 +
 +
* [[Image:Sketcher_ToggleConstraint.svg|32px]] [[Sketcher_ToggleDrivingConstraint|Toggle reference/driving constraint]]: Toggles the toolbar or the selected constraints to/from reference mode. {{Version|0.16}}
 +
 +
===Sketcher tools===
 +
 +
* [[File:Sketcher SelectElementsWithDoFs.svg|32px]] [[Sketcher_SelectElementsWithDoFs|Select solver DOFs]]: Highlights in green the geometry with degrees of freedom (DOFs), i.e. not fully constrained. {{Version|0.18}}
 +
 +
* [[Image:Sketcher CloseShape.svg|32px]] [[Sketcher CloseShape|Close Shape]]: Creates a closed shape by applying coincident constraints to endpoints {{Version|0.15}}
 +
 +
* [[Image:Sketcher ConnectLines.svg|32px]] [[Sketcher ConnectLines|Connect Edges]]: Connect sketcher elements by applying coincident constraints to endpoints {{Version|0.15}}
 +
 +
* [[Image:Sketcher SelectConstraints.svg|32px]] [[Sketcher SelectConstraints|Select Constraints]]: Selects the constraints of a sketcher element {{Version|0.15}}
 +
 +
* [[Image:Sketcher SelectOrigin.svg|32px]] [[Sketcher SelectOrigin|Select Origin]]: Selects the origin of a sketch {{Version|0.15}}
 +
 +
* [[Image:Sketcher SelectVerticalAxis.svg|32px]] [[Sketcher SelectVerticalAxis|Select Vertical Axis]]: Selects the vertical axis of a sketch {{Version|0.15}}
 +
 +
* [[Image:Sketcher SelectHorizontalAxis.svg|32px]] [[Sketcher SelectHorizontalAxis|Select Horizontal Axis]]: Selects the horizontal axis of a sketch {{Version|0.15}}
 +
 +
* [[Image:Sketcher SelectRedundantConstraints.svg|32px]] [[Sketcher SelectRedundantConstraints|Select Redundant Constraints]]: Selects redundant constraints of a sketch {{Version|0.15}}
 +
 +
* [[Image:Sketcher SelectConflictingConstraints.svg|32px]] [[Sketcher SelectConflictingConstraints|Select Conflicting Constraints]]: Selects conflicting constraints of a sketch {{Version|0.15}}
 +
 +
* [[Image:Sketcher SelectElementsAssociatedWithConstraints.svg|32px]] [[Sketcher SelectElementsAssociatedWithConstraints|Select Elements Associated with constraints]]: Select sketcher elements associated with constraints {{Version|0.15}}
 +
 +
* [[File:Sketcher_Element_Ellipse_All.svg|32px]] [[Sketcher_RestoreInternalAlignmentGeometry|Show/Hide internal geometry]]: Recreates missing/deletes unneeded internal geometry of a selected ellipse, arc of ellipse/hyperbola/parabola or B-spline.
 +
 +
* [[Image:Sketcher Symmetry.svg|32px]] [[Sketcher Symmetry|Symmetry]]: Copies a sketcher element symmetrical to a chosen line {{Version|0.16}}
 +
 +
* [[Image:Sketcher Clone.svg|32px]] [[Sketcher Clone|Clone]]: Clones a sketcher element {{Version|0.16}}
 +
 +
* [[Image:Sketcher Copy.svg|32px]] [[Sketcher Copy|Copy]]: Copies a sketcher element {{Version|0.16}}
 +
 +
* [[File:Sketcher_Move.svg|32px]] [[Sketcher_Move|Move]]: Moves the selected geometry taking as reference the last selected point. {{Version|0.18}}
 +
 +
* [[Image:Sketcher RectangularArray.svg|32px]] [[Sketcher RectangularArray|Rectangular Array]]: Creates an array of selected sketcher elements {{Version|0.16}}
 +
 +
* [[File:Sketcher Element SelectionTypeInvalid.svg|32px]] [[Sketcher_DeleteAllGeometry|Delete All Geometry]]: Deletes all geometry from the sketch. {{Version|0.18}}
 +
 +
* [[File:Sketcher Element SelectionTypeInvalid.svg|32px]] [[Sketcher_DeleteAllConstraints|Delete All Constraints]]: Deletes all constraints from the sketch. {{Version|0.18}}
 +
 +
===Sketcher B-spline tools===
 +
 +
* [[File:Sketcher_BSplineDegree.svg|32px]] [[Sketcher_BSplineDegree|Show/Hide B-spline degree]]
 +
 +
* [[File:Sketcher_BSplinePolygon.svg|32px]] [[Sketcher_BSplinePolygon|Show/Hide B-spline control polygon]]
 +
 +
* [[File:Sketcher_BSplineComb.svg|32px]] [[Sketcher_BSplineComb|Show/Hide B-spline curvature comb]]
 +
 +
* [[File:Sketcher_BSplineKnotMultiplicity.svg|32px]] [[Sketcher_BSplineKnotMultiplicity|Show/Hide B-spline knot multiplicity]]
 +
 +
* [[File:Sketcher_BSplineApproximate.svg|32px]] [[Sketcher_ConvertToNURB|Convert Geometry to B-spline]]
  
=== Dobre praktyki ===
+
* [[File:Sketcher_BSplineIncreaseDegree.svg|32px]] [[Sketcher_BSplineIncreaseDegree|Increase degree]]
 +
 
 +
* [[File:Sketcher_BSplineIncreaseKnotMultiplicity.svg|32px]] [[Sketcher_BSplineIncreaseKnotMultiplicity|Increase knot multiplicity]]
 +
 
 +
* [[File:Sketcher_BSplineDecreaseKnotMultiplicity.svg|32px]] [[Sketcher_BSplineDecreaseKnotMultiplicity|Decrease knot multiplicity]]
 +
 
 +
===Sketcher virtual space===
 +
 
 +
* [[Image:Sketcher SwitchVirtualSpace.svg|32px]] [[Sketcher_SwitchVirtualSpace|Switch Virtual Space]]: Allows you to hide all constraints of a sketch and make them visible again. {{Version|0.17}}
  
Każdy użytkownik systemów CAD wypracowuje własny sposób pracy, ale poniżej znajduje się kilka użytecznych, głównych wskazówek do wykorzystania.
+
===Preferences===
  
* A series of simple sketches is easier to manage than a single complex one. For example, a first sketch can be created for the base 3D feature (either a pad or a revolve), while a second one can contain holes or cutouts (pockets). Some details can be left out, to be realized later on as 3D features. You can choose to avoid fillets in your sketch if there are too many, and add them as a 3D feature.
+
* [[Image:Preferences-general.svg|32px]] [[Sketcher_Preferences|Preferences]]: Preferences for the '''Sketcher''' workbench.
* Always create a closed profile, or your sketch won't produce a solid, but rather a set of open faces. If you don't want some of the objects to be included in the solid creation, turn them to construction elements with the Construction Mode tool.
 
* Use the auto constraints feature to limit the number of constraints you'll have to add manually.
 
* As a general rule, apply geometric constraints first, then dimensional constraints, and lock your sketch last. But remember: rules are made to be broken. If you're having trouble manipulating your sketch, it may be useful to constrain a few objects first before completing your profile.
 
* If possible, center your sketch to the origin (0,0) with the lock constraint. If your sketch is not symmetric, locate one of its points to the origin, or choose nice round numbers for the lock distances. In v0.12, external constraints (constraining the sketch to existing 3D geometry like edges or to other sketches) are not implemented. This means that to locate following sketches geometry to your first sketch, you'll need to set distances relative to your first sketch manually. A lock constraint of (25,75) from the origin is more easily remembered than (23.47,73.02).
 
* If you have the possibility to choose between the Length constraint and the Horizontal or Vertical Distance constraints, prefer the latter. Horizontal and Vertical Distance constraints are computationally cheaper.
 
* In general, the best constraints to use are: Horizontal and Vertical Constraints; Horizontal and Vertical Length Constraints; Point-to-Point Tangency.  If possible, limit the use of these: the general Length Constraint; Edge-to-Edge Tangency; Fix Point Onto a Line Constraint; Symmetry Constraint.  
 
  
=== Narzędzia ===
+
<div class="mw-translate-fuzzy">
 +
=== Dobre praktyki ===
  
Narzędzia Warsztatu Szkicownika znajdują się w menu Szkicownika, które pojawia się po załadowaniu tego warsztatu.  
+
Każdy użytkownik systemów CAD wypracowuje własny sposób pracy, ale poniżej znajduje się kilka użytecznych, głównych wskazówek do wykorzystania.
 +
</div>
  
{{Sketcher Tools/pl}}
+
<div class="mw-translate-fuzzy">
 +
* Kilka prostych szkiców jest łatwiej opanować niż jeden skomplikowany. Np., pierwszy szkic może być utworzony jako baza do cechy 3D (występu lub kieszeni), kiedy drugi może zawierać otwory lub wycięcia (kieszenie). Część szczegółów może zostać wyrzucona, by zrealizować je w postaci cech 3D. Możesz uniknąć zaokrągleń w szkicu jeśli jest ich zbyt wiele i dodać je jako cechy 3D.
 +
* Zawsze twórz zamknięty profil, inaczej ze szkicu nie zostanie utworzona bryła, a zbiór otwartych ścian. Jeśli nie chcesz użyć niektórych obiektów podczas tworzenia bryły, zmień je na elementy konstrukcyjne narzędziem Tryb Konstrukcji.
 +
* Użyj funkcji autowiązania by ograniczyć ilość więzów które będziesz dodawał ręcznie
 +
* Jako główna zasada, najpierw dodawaj więzy geometryczne, potem wymiarowe i na końcu zablokuj szkic. Ale zapamiętaj: zasady są po to by je łamać. Jeśli masz problemy z manipulowaniem szkicem, może być przydatne związanie najpierw kilku obiektów przed ukończeniem rysowania profilu.
 +
* Jeśli to możliwe, wycentruj szkic na początku układu współrzędnych (0,0) używając więzu blokady.Jeśli szkic nie jest symetryczny, ustaw jeden z jego punktów na początku układu współrzędnych lub wybierz całkowite liczby do zablokowania odległości. W v0.12 więzy zewnętrzne nie są zaimplementowane (dopiero v0.13 ma ich wstępną obsługę). Znaczy to, że by ustawić geometrię szkicu do szkicu wcześniejszego, musisz zrobić to ręczne. Więz blokady (25,75) od początku układu współrzędnych jest znacznie łatwiejszy do zapamiętania niż taki (23.47,73.02).
 +
* Jeśli możesz wybrać pomiędzy więzem Długości a Poziomym lub Pionowym więzem Odległości, wybierz ten drugi. Będzie on lżejszy w procesie obliczeń.
 +
</div>
  
=== Tutorials ===
 
See [[Sketcher_Tutorial|Sketcher Tutorial]]
 
  
[[Sketcher_Micro_Tutorial_-_Constraint_Practices|Sketcher Micro Tutorial - Constraint Practices]]
+
== Tutorials ==
 +
* [[Sketcher tutorial|Sketcher tutorial]] for beginners
 +
* [[Sketcher Tutorial|Sketcher Tutorial]]
 +
* [[Sketcher Micro Tutorial - Constraint Practices|Sketcher Micro Tutorial - Constraint Practices]]
  
 +
<div class="mw-translate-fuzzy">
 
[[Category:User Documentation/pl]]
 
[[Category:User Documentation/pl]]
 +
</div>
  
<languages/>
+
{{Userdocnavi}}
 +
[[Category:Sketcher]]
 +
[[Category:Workbenches]]

Revision as of 12:52, 24 July 2019

Other languages:
български • ‎čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎magyar • ‎Bahasa Indonesia • ‎italiano • ‎日本語 • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎中文(繁體)‎ • ‎中文(台灣)‎

Workbench Sketcher.svg

Introduction

Warsztat Szkicownika (Sketcher Workbench) używany jest do tworzenia geometrii 2D przeznaczonej do wykorzystania w Warsztacie PartDesign i innych warsztatach. Zasadniczo geometria 2D jest uznawana za punkt startowy dla większości modeli CAD - prosty szkic 2D może zostać 'wyciągnięty' w bryłę 3D, dalsze szkice 2D mogą zostać użyte do stworzenia kieszeni (zagłębień) na powierzchni tej bryły i w końcu szkice mogą zostać użyte do wykonania 'występów' (wyciągnięć) na powierzchni obiektów 3D. Wraz z operacjami boole'owskimi, kształty powstałe ze szkiców są rdzeniem produktywnego modelowania bryłowego.

Warsztat Szkicownika cechuje się więzami pozwalając na opisanie kształtów 2D dokładnymi definicjami geometrycznymi. Dodatkowo solwer przelicza tę geometrię pozwalając na interaktywne badanie stopni swobody szkicu.

FC ConstrainedSketch.png

Podstawowy szkic w pełni ograniczony więzami.

Podstawy szkicowania z więzami

By wytłumaczyć jak działa Szkicownik może być przydatne porównanie do "tradycyjnego" sposobu rysowania.

Rysowanie Tradycyjne

Tradycyjna metoda rysowania CAD pochodzi od dawnej deski kreślarskiej. Rzuty prostopadłe (2D) są rysowanie ręczenie i przeznaczone do tworzenia rysunków technicznych. Obiekty są rysowane precyzyjnie w zamierzonej skali lub wymiarze. Jeśli chcesz narysować poziomą linię o długości 100mm startującą w punkcie (0,0), musisz aktywować narzędzie linii, kliknąć na ekranie bądź wprowadzić współrzędne (0,0) dla pierwszego punktu, następnie wykonać kolejne kliknięcie lub wprowadzić współrzędnie dla drugiego punktu (0,100). Ewentualnie możesz narysować linię bez określanie jej pozycji i przesunąć ją później. Kiedy skończysz rysować geometrię, dodajesz wymiary do niej.

Szkicowanie z Więzami

Skicownik odchodzi od tej logiki. Obiekty nie muszą być rysowane dokładnie jak założyłeś, bo zostaną później zdefiniowane za pomocą więzów. Obiekty mogą być rysowane nieściśle i, tak długą jak nie są ograniczone więzami, mogą być modyfikowane. W efekcie są "pływające" i mogą być przesuwane, rozciągane, obracane, skalowane itp. To daje ogromną elastyczność procesu projektowania.

Czym są więzy?

Więzy używane są do ograniczenia stopni swobody obiektu. Dla przykładu, linia bez więzów ma 4 stopnie swobody: może być przesuwana w poziomie lub pionie, rozciągana i obracana.

Wykorzystanie więzu poziomego lub pionowego, lub więzu kąta (względem innej linii lub jednej z osi), ogranicz jej zdolność do obracania pozostawiając ją z 3 stopniami swobody. Zablokowanie jednego z punktów w relacji do układu współrzędnych usunie kolejne dwa stopnie. W końcu zastosowanie więzu wymiaru usunie ostatni stopień swobody. Linia jest w wtedy uznawana za w pełni ograniczoną więzami.

Różne obiekty mogą być wiązane między sobą. Dwie linie mogą być związane, którymiś ze swoich punktów, więzem nachodzenia (coincident). Między zostać ustawiony kąt między nimi lub mogą zostać powiązane jako prostopadłe. Linia może być styczna do łuku lub okręgu itp.

Są dwa typy więzów: geometryczne i wymiarowe.Są one opisane dokładnej w poniższej sekcji 'The tools'.

Zastosowania do których Szkicownik się nie nadaje

Szkicownik nie jest przeznaczony do tworzenia dokumentacji 2D. Gdy szkice zostają użyte do utworzenia brył, są automatycznie ukrywane. Wymiary są widoczne tylko w trybie edycji Szkicownika.

Jeśli potrzebujesz tylko stworzyć widoki 2D do wydruku, i nie chcesz tworzyć modeli 3D, sprawdź warsztat Draft (weź pod uwagę, że warsztat Draft może być także użyteczny przy tworzeniu geometrii 2D niedostępnej aktualnie w Szkicowniku, jak B-Splajny.)

Sketching Workflow

To be added

If the Sketch has segments that cross one another, places where a Point is not directly on a segment, or places where there are gaps between endpoints of adjacent segments, Pad or Revolve won't create a solid. The exception to this rule is that it doesn't apply to Construction (blue) Geometry.

Inside the enclosed area we can have smaller non-overlapping areas. These will become voids when the 3D solid is created.

Narzędzia

Narzędzia Warsztatu Szkicownika znajdują się w menu Szkicownika, które pojawia się po załadowaniu tego warsztatu.

  • Sketcher NewSketch.svg New sketch: Creates‎ a new sketch on a selected face or plane. If no face is selected while this tool is executed the user is prompted to select a plane from a pop-up window.
  • Sketcher ViewSketch.svg View sketch: Sets the model view perpendicular to the sketch plane.
  • Validate sketch: Verify the tolerance of different points and adjust them.

Sketcher geometries

These are tools for creating objects.

  • Sketcher Line.svg Line: Draws a line segment between 2 points. Lines are infinite regarding certain constraints.
  • Sketcher CompCreateArc.png Create an arc: This is an icon menu in the Sketcher toolbar that holds the following commands:
  • Sketcher Arc.svg Arc: Draws an arc segment from center, radius, start angle and end angle.
  • Sketcher Create3PointArc.svg Arc by 3 points: Draws an arc segment from two endpoints and another point on the circumference.
  • Sketcher CompCreateCircle.png Create a circle: This is an icon menu in the Sketcher toolbar that holds the following commands:
  • Sketcher Circle.svg Circle: Draws a circle from center and radius.
  • Sketcher CreatePolyline.svg Polyline (multiple-point line): Draws a line made of multiple line segments. Pressing the M key while drawing a Polyline toggles between the different polyline modes.
  • Sketcher CreateRectangle.svg Rectangle: Draws a rectangle from 2 opposite points.
  • Sketcher CreateRegularPolygon.svg Create Regular Polygon : Draws a regular polygon by selecting the number of sides and picking two points: the center and one corner.
  • Sketcher CreateSlot.png Slot: Draws an oval by selecting the center of one semicircle and an endpoint of the other semicircle.
  • Sketcher CreateFillet.svg Fillet: Makes a fillet between two lines joined at one point. Select both lines or click on the corner point, then activate the tool.
  • Sketcher Trimming.svg Trimming: Trims a line, circle or arc with respect to the clicked point.
  • Sketcher AlterConstruction.svg Construction Mode: Toggles sketch geometry from/to construction mode. Construction geometry is shown in blue and is discarded outside of Sketch editing mode.

Sketcher constraints

Constraints are used to define lengths, set rules between sketch elements, and to lock the sketch along the vertical and horizontal axes. Some constraints require use of Helper constraints.

Geometric constraints

These constraints are not associated with numeric data.

  • Constraint PointOnPoint.svg Coincident: Affixes a point onto (coincident with) one or more other points.
  • Constraint PointOnObject.svg Point On Object: Affixes a point onto another object such as a line, arc, or axis.
  • Constraint Vertical.svg Vertical: Constrains the selected lines or polyline elements to a true vertical orientation. More than one object can be selected before applying this constraint.
  • Constraint Horizontal.svg Horizontal: Constrains the selected lines or polyline elements to a true horizontal orientation. More than one object can be selected before applying this constraint.
  • Constraint Parallel.svg Parallel: Constrains two or more lines parallel to one another.
  • Constraint Perpendicular.svg Perpendicular: Constrains two lines perpendicular to one another, or constrains a line perpendicular to an arc endpoint.
  • Constraint Tangent.svg Tangent: Creates a tangent constraint between two selected entities, or a co-linear constraint between two line segments. A line segment does not have to lie directly on an arc or circle to be constrained tangent to that arc or circle.
  • Constraint EqualLength.svg Equal Length: Constrains two selected entities equal to one another. If used on circles or arcs their radii will be set equal.
  • Constraint Symmetric.svg Symmetric: Constrains two points symmetrically about a line, or constrains the first two selected points symmetrically about a third selected point.

Dimensional constraints

These are constraints associated with numeric data, for which you can use the expressions. The data may be taken from a spreadsheet.

  • Sketcher ConstrainLock.svg Lock: Constrains the selected item by setting vertical and horizontal distances relative to the origin, thereby locking the location of that item. These constraint distances can be edited later.
  • Constraint HorizontalDistance.svg Horizontal Distance: Fixes the horizontal distance between two points or line endpoints. If only one item is selected, the distance is set to the origin.
  • Constraint VerticalDistance.svg Vertical Distance: Fixes the vertical distance between 2 points or line endpoints. If only one item is selected, the distance is set to the origin.
  • Constraint Length.svg Distance: Defines the distance of a selected line by constraining its length, or defines the distance between two points by constraining the distance between them.
  • Constraint Radius.svg Radius: Defines the radius of a selected arc or circle by constraining the radius.
  • Constraint InternalAngle.png Internal Angle: Defines the internal angle between two selected lines.
  • Constraint InternalAlignment.svg Internal Alignment: Aligns selected elements to selected shape (e.g. a line to become major axis of an ellipse).

Sketcher tools

  • Sketcher Element Ellipse All.svg Show/Hide internal geometry: Recreates missing/deletes unneeded internal geometry of a selected ellipse, arc of ellipse/hyperbola/parabola or B-spline.

Sketcher B-spline tools

Sketcher virtual space

Preferences

Dobre praktyki

Każdy użytkownik systemów CAD wypracowuje własny sposób pracy, ale poniżej znajduje się kilka użytecznych, głównych wskazówek do wykorzystania.

  • Kilka prostych szkiców jest łatwiej opanować niż jeden skomplikowany. Np., pierwszy szkic może być utworzony jako baza do cechy 3D (występu lub kieszeni), kiedy drugi może zawierać otwory lub wycięcia (kieszenie). Część szczegółów może zostać wyrzucona, by zrealizować je w postaci cech 3D. Możesz uniknąć zaokrągleń w szkicu jeśli jest ich zbyt wiele i dodać je jako cechy 3D.
  • Zawsze twórz zamknięty profil, inaczej ze szkicu nie zostanie utworzona bryła, a zbiór otwartych ścian. Jeśli nie chcesz użyć niektórych obiektów podczas tworzenia bryły, zmień je na elementy konstrukcyjne narzędziem Tryb Konstrukcji.
  • Użyj funkcji autowiązania by ograniczyć ilość więzów które będziesz dodawał ręcznie
  • Jako główna zasada, najpierw dodawaj więzy geometryczne, potem wymiarowe i na końcu zablokuj szkic. Ale zapamiętaj: zasady są po to by je łamać. Jeśli masz problemy z manipulowaniem szkicem, może być przydatne związanie najpierw kilku obiektów przed ukończeniem rysowania profilu.
  • Jeśli to możliwe, wycentruj szkic na początku układu współrzędnych (0,0) używając więzu blokady.Jeśli szkic nie jest symetryczny, ustaw jeden z jego punktów na początku układu współrzędnych lub wybierz całkowite liczby do zablokowania odległości. W v0.12 więzy zewnętrzne nie są zaimplementowane (dopiero v0.13 ma ich wstępną obsługę). Znaczy to, że by ustawić geometrię szkicu do szkicu wcześniejszego, musisz zrobić to ręczne. Więz blokady (25,75) od początku układu współrzędnych jest znacznie łatwiejszy do zapamiętania niż taki (23.47,73.02).
  • Jeśli możesz wybrać pomiędzy więzem Długości a Poziomym lub Pionowym więzem Odległości, wybierz ten drugi. Będzie on lżejszy w procesie obliczeń.


Tutorials